%define tarname XML-Parser
%define perlroot /usr
%define filelist %{tarname}.filelist

Summary: XML-Parser module for perl
Name: perl-%{tarname}
Version: 2.29
Release: 1
Copyright: distributable, see README
Group: Development/Languages/Perl
Source0: %{tarname}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot/
Requires: perl >= 5.00503
Packager: Werner Bosse <wbosse@berlin.snafu.de>

%description
This is a Perl extension interface to James Clark's XML parser, expat. For
documentation call 'perldoc XML::Parser' resp. 'perldoc XML::Parser::Expat'.

The necessary parts of the expat library are included in this distribution.
These components are copyrighted by James Clark, with patches copyrighted by
Clark Cooper. They are licensed under your choice of either the Mozilla Public
License version 1.1 (MPL) or the GNU Public License (GPL). This was modified
from the original XML::Parser created by Larry Wall.

%prep
%setup -q -n %{tarname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installsitearch -V:installman3dir -V:perlpath`
make PREFIX=$RPM_BUILD_ROOT%{perlroot} install
packlist=$installsitearch/auto/XML/Parser/.packlist
perl -i -n -e 'm@^'$RPM_BUILD_ROOT'@ || next;
               s@^'$RPM_BUILD_ROOT'@@;
               s@\.3$@.3.gz@;
               print;' $RPM_BUILD_ROOT$packlist
cp $RPM_BUILD_ROOT$packlist %{filelist}
cat >>%{filelist} <<END
$packlist
%%doc README Changes samples README.expat Expat/expat/expat.html
END
mv Expat/README README.expat
perl -i -p -e 's@/\S*bin/perl@'$perlpath@ \
     `find samples -type f -perm +111`

%files -f %{filelist}
%defattr(-,root,root)

%changelog
* Thu Aug 24 2000 Werner Bosse <wbosse@berlin.snafu.de>
- upgrade to v2.29
- .packlist fixed and utilized as filelist
- distribution docs & samples added to installation

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
